QGIS Application - Bug report #10461
Crash on Browser when select a SHP and change between windows tabs
2014-06-04 09:18 AM - Luis Lozano

Status: Closed

Priority: Severe/Regression

Assignee:

Category: Browser

Affected QGIS version:master Regression?: No
Operating System: Easy fix?: No
Pull Request or Patch supplied: Resolution:

Crashes QGIS or corruptsdata: Copied to github as #: 18873
Description

Selecting in tree one SHP and changing between Metadata, Preview and Attributes tabs

Associated revisions

Revision 2f6e6ca0 - 2014-06-08 04:06 PM - Jiirgen Fischer

fix browser crash (fixes #10461)

History

#1 - 2014-06-04 11:32 AM - Pedro Venancio

| confirm this also in Linux - Segmentation fault (core dumped).

It also happens with PostGIS layers.

With rasters, all ok.

Priority should be increased to blocker, as it causes crash.

#2 - 2014-06-04 12:06 PM - Richard Duivenvoorde

confirmed here, not even needed to switch between tabs, already clicking a shp crashes

below last part of gdb log:

src/core/qgsdataitem.cpp: 217: (addChildltem) path = /home/richard/geodata/nl add child #18 - mdillers.shp - 2

src/core/qgsdataitem.cpp: 217: (addChildltem) path = /home/richard/geodata/nl add child #19 - plaatsen.shp - 2

src/core/qgsdataitem.cpp: 217: (addChildltem) path = /home/richard/geodata/nl add child #20 - plaatsen.zip - 2
src/core/qgsdataitem.cpp: 217: (addChildltem) path = /nhome/richard/geodata/nl add child #21 - prov.zip - 0

src/core/qgsdataitem.cpp: 217: (addChildltem) path = /home/richard/geodata/nl add child #22 - provincies.shp - 2
src/core/qgsdataitem.cpp: 217: (addChildltem) path = /homef/richard/geodata/nl add child #23 - provincies.sqlite - 2

src/core/qgsdataitem.cpp: 217: (addChildltem) path = /home/richard/geodata/nl add child #25 - provinciessimple.shp - 2
src/core/qgsdataitem.cpp: 217: (addChildltem) path = /home/richard/geodata/nl add child #26 - provinciessimple.shp.xml - 2

src/core/qgsdataitem.cpp: 217: (addChildltem) path = /home/richard/geodata/nl add child #27 - provs.shp - 2

( )
( )
( )
( )
( )
( )
src/core/qgsdataitem.cpp: 217: (addChildltem) path = /home/richard/geodata/nl add child #24 - provincies.sqlite - 2
( )
( )
( )
src/core/qgsdataitem.cpp: 217: (addChildltem) path = /home/richard/geodata/nl add child #28 - test.shp - 2
( )

src/core/qgsdataitem.cpp: 217: (addChildltem) path = /home/richard/geodata/nl add child #29 - texel.tif - 2

2024-04-23

1/3




src/core/qgsbrowsermodel.cpp: 475: (fetchMore) path = /home/richard/geodata/nl

src/browser/qgsbrowser.cpp: 278: (itemExpanded) last expanded: /home/richard/geodata/nl

src/core/layertree/qgslayertreeregistrybridge.cpp: 72: (layersWillBeRemoved) 0 layers will be removed, enabled:1
src/providers/ogr/qgsogrdataitems.cpp: 48: (capabilities) mPath = /home/richard/geodata/nl/plaatsen.shp

src/browser/qgsbrowser.cpp: 225: (layerClicked) ogr : /home/richard/geodata/nl/plaatsen.shp

src/core/qgsmaplayer.cpp: 60: (QgsMapLayer) original name: "

src/core/qgsmaplayer.cpp: 62: (QgsMapLayer) display name: "

src/core/qgsproviderregistry.cpp: 348: (provider) Library name is /home/richard/dev/qgis/git/qgis/build/output/lib/qgis/plugins/libogrprovider.so
src/providers/ogr/qgsogrprovider.cpp: 281: (QgsOgrProvider) Data source uri is [/nhome/richard/geodata/nl/plaatsen.shp]
src/providers/ogr/qgsogrprovider.cpp: 361: (QgsOgrProvider) mFilePath: /nome/richard/geodata/nl/plaatsen.shp
src/providers/ogr/qgsogrprovider.cpp: 362: (QgsOgrProvider) mLayerIndex: 0

src/providers/ogr/qgsogrprovider.cpp: 363: (QgsOgrProvider) mLayerName:
)
)

(

(

(
src/providers/ogr/qgsogrprovider.cpp: 364: (QgsOgrProvider) mSubsetString:
src/providers/ogr/qgsogrprovider.cpp: 385: (QgsOgrProvider) OGR opened using Driver ESRI Shapefile
src/providers/ogr/qgsogrprovider.cpp: 530: (setSubsetString) checking validity
src/providers/ogr/qgsogrprovider.cpp: 532: (setSubsetString) Done checking validity
src/providers/ogr/qgsogrprovider.cpp: 409: (QgsOgrProvider) Data source is valid
src/core/qgsproviderregistry.cpp: 370: (provider) Instantiated the data provider plugin: ogr
src/core/qgsvectorlayer.cpp: 1351: (setDataProvider) Instantiated the data provider plugin
src/core/qgsvectorlayer.cpp: 274: (setDisplayField) Checking field PLAATSNAAM of 6 total

src/core/qgsvectorlayer.cpp: 274: (setDisplayField) Checking field GEMNAAM of 6 total

(
(
src/core/qgsvectorlayer.cpp: 274: (setDisplayField) Checking field GEMCODE of 6 total
src/core/qgsvectorlayer.cpp: 274: (setDisplayField) Checking field PROVNAAM of 6 total

src/core/qgsvectorlayer.cpp: 274: (setDisplayField) Checking field PROVCODE of 6 total

src/core/qgsvectorlayer.cpp: 274: (setDisplayField) Checking field url of 6 total

src/core/qgsvectorlayer.cpp: 2478: (setCoordinateSystem) ----- Computing Coordinate System

src/providers/ogr/qgsogrprovider.cpp: 2227: (crs) Entering.

src/core/qgscoordinatereferencesystem.cpp: 201: (setupESRIWktFix) set GDAL_FIX_ESRI_WKT : GEOGCS
src/providers/ogr/qgsogrprovider.cpp: 2271: (crs) no spatial reference found

src/core/qgsdatasourceuri.cpp: 66: (QgsDataSourceURI) = expected after parameter name

src/core/qgsmaplayer.cpp: 911: (loadNamedStyle) uri = /home/richard/geodata/nl/plaatsen.gml myURI = /home/richard/geodata/nl/plaatsen.shp
src/core/qgsmaplayer.cpp: 933: (loadNamedStyle) project fileName: /home/richard/dev/qgis/git/qgis/build/output/bin

src/core/qgsmaplayer.cpp: 867: (loadNamedStyleFromDb) db = /home/richard/.qgis2//qgis.gmidb uri = /home/richard/geodata/nl/plaatsen.gml
src/core/qgsmaplayer.cpp: 877: (loadNamedStyleFromDb) Trying to load style for "/home/richard/geodata/nl/plaatsen.gml” from
"/home/richard/.qgis2//qgis.gmlidb"

src/core/qgsmaplayer.cpp: 867: (loadNamedStyleFromDb) db = /home/richard/dev/qgis/git/qgis/resources/qgis.qmidb uri =
/home/richard/geodata/nl/plaatsen.gml

src/core/qgsmaplayer.cpp: 877: (loadNamedStyleFromDb) Trying to load style for "/home/richard/geodata/nl/plaatsen.gml” from
"/home/richard/dev/qgis/git/qgis/resources/qgis.qmidb"

src/browser/qgsbrowser.cpp: 242: (layerClicked) Layer created

src/gui/attributetable/ggsattributetablemodel.cpp: 40: (QgsAttribute TableModel) entered.

Program received signal SIGSEGV, Segmentation fault.
0x00007ffff6ed4fc6 in QgsAttribute TableModel::loadAttributes (this=0x153b310)
at /home/richard/dev/qgis/git/qgis/src/gui/attributetable/qgsattributetablemodel.cpp:253
253 mAttributeWidgetCaches.append( widgetFactory->createCache( layer(), idx, mWidgetConfigs.last() ) );

#3 - 2014-06-04 01:39 PM - Giovanni Manghi
- Operating System deleted (win 32)

- Target version set to Version 2.4

- Category set to 95
- Priority changed from Normal to Severe/Regression

- Affected QGIS version changed from 2.2.0 to master

regression because on qgis 2.0.1 is ok.

#4 - 2014-06-08 07:06 AM - Jiirgen Fischer
- Status changed from Open to Closed

Fixed in changeset commit:"2f6e6ca060ebeb8e84bafaalce4c7ab875ddf2al".

Files
Captura.PNG 92.7 KB 2014-06-04 Luis Lozano
2024-04-23 3/3



